package com.ruoyi.demo.service;

import com.ruoyi.demo.entity.Goods;
import com.ruoyi.demo.entity.bo.GoodsBo;
import com.ruoyi.demo.entity.bo.GoodsDeleteBo;
import com.ruoyi.demo.entity.vo.GoodsDetailVo;
import com.ruoyi.demo.entity.vo.GoodsListVo;

import java.util.List;

public interface GoodsService {
    int addGoods(Goods goods);
    int deleteGoods(GoodsDeleteBo bo);
    List<GoodsListVo> getGoodsList(GoodsBo bo);
    GoodsDetailVo getGoodsDetail(GoodsBo bo);
}
